#### Linux From Scratch - Version 12.3-systemd

### Chapter 8. Installing Basic System Software

- Prev

  DejaGNU-1.6.3

- Next

  Binutils-2.44

- Up
- Home

# 8.19. Pkgconf-2.3.0

The pkgconf package is a successor to pkg-config and contains a tool for passing the include path and/or library paths to build tools during the configure and make phases of package installations.

Approximate build time: less than 0.1 SBU
Required disk space: 4.7 MB

## 8.19.1. Installation of Pkgconf

Prepare Pkgconf for compilation:

    ./configure --prefix=/usr              \
                --disable-static           \
                --docdir=/usr/share/doc/pkgconf-2.3.0

Compile the package:

    make

Install the package:

    make install

To maintain compatibility with the original Pkg-config create two symlinks:

    ln -sv pkgconf   /usr/bin/pkg-config
    ln -sv pkgconf.1 /usr/share/man/man1/pkg-config.1

## 8.19.2. Contents of Pkgconf

Installed programs: pkgconf, pkg-config (link to pkgconf), and bomtool
Installed library: libpkgconf.so
Installed directory: /usr/share/doc/pkgconf-2.3.0

### Short Descriptions

pkgconf | Returns meta information for the specified library or package
bomtool | Generates a Software Bill Of Materials from pkg-config .pc files
`libpkgconf` | Contains most of pkgconf's functionality, while allowing other tools like IDEs and compilers to use its frameworks

- Prev

  DejaGNU-1.6.3

- Next

  Binutils-2.44

- Up
- Home